<h1 align="center">
  <img src="logo.png" width=100 height=100>
  <br/>
  Lightroom Power Collection
</h1>

<h4 align="center">Semi-automated image publishing</h4>
<p align="center">
  <a href="#key-features">Key Features</a> •
  <a href="#how-to-use">How To Use</a> •
  <a href="#download">Download</a> •
  <a href="#credits">Credits</a> •
  <a href="#related">Related</a> •
  <a href="#license">License</a>
</p>

## Key Features

- Creates smart collections along with matching published smart folders.
- Creates keywords for selection to the smart collection and published folder.
- Implements dynamic publishing conditions (e.g., images with at least 1 star and a green label).

## How To Use

### Installation

1. Download the latest version of Lightroom Power Collection from [here](https://github.com/thejoltjoker/lightroom-power-collection/releases/latest).
2. Extract the downloaded zip file.
3. Copy the extracted folder to the Lightroom plugins directory:
   - For Windows: `C:\Users\YourUsername\AppData\Roaming\Adobe\Lightroom\Modules`
   - For Mac: `~/Library/Application Support/Adobe/Lightroom/Modules`
4. Restart Lightroom.

### Configuration

1. Open Lightroom and navigate to the "File" menu.
2. Choose "Plug-in Manager".
3. Find "Power Collection" in the list of installed plugins or add it manually.

### Usage
1. Select the pictures you want to create a collection for *(optional)*.
2. Go to the bottom of the "Library" menu and "Plug-in Extras" and press "Create Power Collection...".
3. Give the collection a name and press "Ok".

## Download

You can [download the latest version of Lightroom Power Collection](https://codeload.github.com/thejoltjoker/lightroom-power-collection/zip/refs/heads/main).

## Credits

I want to express my gratitude to [akrabat](https://github.com/akrabat) for the inspiration and insights gained from their [repository](https://github.com/akrabat/new-collection-set-lrplugin) and the accompanying [blog post](https://akrabat.com/creating-collections-with-the-lightroom-classic-sdk/).

## Related

- [lightroom-workflow](https://github.com/thejoltjoker/lightroom-workflow) - Explore my Lightroom workflow and accompanying presets.

## You may also like...

- [Offload](https://github.com/thejoltjoker/offload) - Simplify the offloading process from memory cards with checksum verification.

## License

This project is licensed under the [MIT License](LICENSE).